%define		kdeframever	5.86
%define		qtver		5.14.0
%define		kfname		kconfigwidgets

Summary:	Widgets for configuration dialogs
Name:		kf5-%{kfname}
Version:	5.86.0
Release:	2
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	1653833c60910884f775ba6c122f15ea
URL:		http://www.kde.org/
BuildRequires:	Qt5DBus-devel >= %{qtver}
BuildRequires:	Qt5Test-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
BuildRequires:	cmake >= 3.5
BuildRequires:	gettext-tools
BuildRequires:	kf5-extra-cmake-modules >= %{version}
BuildRequires:	kf5-kauth-devel >= %{version}
BuildRequires:	kf5-kcodecs-devel >= %{version}
BuildRequires:	kf5-kconfig-devel >= %{version}
BuildRequires:	kf5-kcoreaddons-devel >= %{version}
BuildRequires:	kf5-kdoctools-devel >= %{version}
BuildRequires:	kf5-kguiaddons-devel >= %{version}
BuildRequires:	kf5-ki18n-devel >= %{version}
BuildRequires:	kf5-kwidgetsaddons-devel >= %{version}
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	Qt5DBus >= %{qtver}
Requires:	Qt5Widgets >= %{qtver}
Requires:	kf5-dirs
Requires:	kf5-kauth >= %{version}
Requires:	kf5-kcodecs >= %{version}
Requires:	kf5-kconfig >= %{version}
Requires:	kf5-kcoreaddons >= %{version}
Requires:	kf5-kguiaddons >= %{version}
Requires:	kf5-ki18n >= %{version}
Requires:	kf5-kwidgetsaddons >= %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
KConfigWidgets provides easy-to-use classes to create configuration
dialogs, as well as a set of widgets which uses KConfig to store their
settings.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cmake >= 3.5
Requires:	kf5-kauth-devel >= %{version}
Requires:	kf5-kcodecs-devel >= %{version}
Requires:	kf5-kconfig-devel >= %{version}
Requires:	kf5-kwidgetsaddons-devel >= %{version}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	../
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kfname}5

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{kfname}5.lang
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/preparetips5
%ghost %{_libdir}/libKF5ConfigWidgets.so.5
%attr(755,root,root) %{_libdir}/libKF5ConfigWidgets.so.*.*
%{_mandir}/man1/preparetips5.1*
%lang(ca) %{_mandir}/ca/man1/preparetips5.1*
%lang(de) %{_mandir}/de/man1/preparetips5.1*
%lang(es) %{_mandir}/es/man1/preparetips5.1*
%lang(it) %{_mandir}/it/man1/preparetips5.1*
%lang(nl) %{_mandir}/nl/man1/preparetips5.1*
%lang(pt) %{_mandir}/pt/man1/preparetips5.1*
%lang(pt_BR) %{_mandir}/pt_BR/man1/preparetips5.1*
%lang(ru) %{_mandir}/ru/man1/preparetips5.1*
%lang(sv) %{_mandir}/sv/man1/preparetips5.1*
%lang(uk) %{_mandir}/uk/man1/preparetips5.1*
%{_datadir}/qlogging-categories5/kconfigwidgets.categories
%attr(755,root,root) %{qt5dir}/plugins/designer/kconfigwidgets5widgets.so
%lang(fr) %{_mandir}/fr/man1/preparetips5.1*
%{_datadir}/qlogging-categories5/kconfigwidgets.renamecategories

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF5/KConfigWidgets
%{_includedir}/KF5/kconfigwidgets_version.h
%{_libdir}/cmake/KF5ConfigWidgets
%{_libdir}/libKF5ConfigWidgets.so
%{qt5dir}/mkspecs/modules/qt_KConfigWidgets.pri
%changelog
* Fri Sep 17 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-kconfigwidgets.git;a=log;h=master

* Fri Sep 17 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 90efa11
- relup

* Mon Sep 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 6ed5196
- updated to 5.86.0

* Tue Aug 17 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 5b23897
- updated to 5.85.0

* Sun Jul 11 2021 Witold Filipczyk <witekfl@poczta.onet.pl> ccc7f3d
- updated to 5.84.0

* Mon Jun 14 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 4618228
- updated to 5.83.0

* Mon May 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 64f7700
- updated to 5.82.0

* Sat Apr 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> ca3452b
- updated to 5.81.0

* Tue Mar 23 2021 Jan Palus <atler@pld-linux.org> 08b36f0
- macros for %ninja*

* Tue Mar 23 2021 Jan Palus <atler@pld-linux.org> 78c833d
- updated build and runtime deps

* Mon Mar 22 2021 Witold Filipczyk <witekfl@poczta.onet.pl> b3e6912
- updated to 5.80.0

* Sat Mar 06 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 2971f95
- update to 5.79.0

* Wed Feb 19 2020 Łukasz Maśko <lmasko@pld-linux.org> ee31755
- Updated BR: kf5-extra-cmake-modules.

* Mon Feb 17 2020 Łukasz Maśko <lmasko@pld-linux.org> 02d2534
- Up to 5.67.0.

* Mon Dec 30 2019 Łukasz Maśko <lmasko@pld-linux.org> fc57d3e
- Up to 5.65.0.

* Mon Dec 02 2019 Łukasz Maśko <lmasko@pld-linux.org> 8309f79
- Up to 5.62.0.

* Mon Jun 10 2019 Witold Filipczyk <witekfl@poczta.onet.pl> da6e107
- updated to 5.59.0

* Mon Mar 25 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 33cfc1a
- updated to 5.56

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 3b64e03
- updated to 5.53.0

* Mon Jul 16 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 6fe57f0
- up to 5.48.0

* Mon May 07 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 762cfd5
- updated to 5.45.0

